{ pkgs, ... }:
{
  imports = [
    ../profiles/common.nix
    ../profiles/qtile-desktop.nix
    ../profiles/dotfiles.nix
    ../programs/firefox.nix
    ../programs/chromium.nix
    # FIXME: fix homeshick when no WAN connection is available
    # ../programs/homeshick.nix
    ../programs/libreoffice.nix
    ../programs/neovim.nix
    ../programs/pass.nix
  ];

  home.packages = with pkgs; [
    # Nix package related tools
    patchelf
    nix-index
    nix-prefetch-scripts

    # Version Control Systems
    gitless

    # Process/System Administration
    htop
    gnome.gnome-tweaks
    xorg.xhost
    dmidecode
    evtest

    # Archive Managers
    sshfs-fuse
    xarchive
    p7zip
    zip
    unzip
    gzip
    lzop

    # Password Management
    gnome.gnome-keyring
    gnome.seahorse

    # Remote Control Tools
    remmina
    freerdp

    # Network Tools
    openvpn
    tcpdump
    iftop
    iperf
    bind
    socat

    # samba
    iptables
    nftables
    wireshark

    # Code Editors
    xclip
    xsel

    # Image/Graphic/Design Tools
    gnome.eog
    gimp
    inkscape

    # Misc Development Tools
    qrcode
    jq
    cdrtools

    # Document Processing and Management
    zathura

    # File Synchronzation
    rsync

    # Filesystem Tools
    ntfs3g
    ddrescue
    ncdu
    woeusb
    unetbootin
    pcmanfm
    hdparm
    testdisk
    binwalk
    gptfdisk

    packages'.myPython

    # Virtualization
    virtmanager
  ];
}
