{ pkgs, config, ... }:
{
  home.file.".nix-channels".text = "";

  home.activation.removeExistingNixChannels = config.lib.dag.entryBefore [ "checkLinkTargets" ] ''
    $DRY_RUN_CMD ${pkgs.writeScript "activation-script" ''
      set -ex
      if test -f $HOME/.nix-channels; then
        echo Uninstalling available channels...
        if test -f $HOME/.nix-channel; then
          while read url channel; do
            nix-channel --remove $channel
          done < $HOME/.nix-channel
        fi
        echo Moving existing file away...
        touch $HOME/.nix-channels.dummy
        mv --backup=numbered $HOME/.nix-channels.dummy $HOME/.nix-channels
        rm $HOME/.nix-channels
      fi
    ''};
  '';
}
