{ pkgs, lib, ... }:
{
  programs.obs-studio = {
    enable = true;
    plugins =
      builtins.map
        (
          plugin:
          (plugin.overrideAttrs (attrs: {
            meta = lib.mkMerge [
              { inherit (attrs) meta; }
              { meta.platforms = [ pkgs.stdenv.system ]; }
            ];
          }))
        )
        (
          with pkgs.obs-studio-plugins;
          [
            # wlrobs
            obs-backgroundremoval
            obs-pipewire-audio-capture
          ]
        );
  };
}
